org.h2.expression.analysis

## Enum WindowFrameExclusion

- java.lang.Object
- - java.lang.Enum<WindowFrameExclusion>
  - - org.h2.expression.analysis.WindowFrameExclusion

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<WindowFrameExclusion>

    public enum WindowFrameExclusion
    extends java.lang.Enum<WindowFrameExclusion>

Window frame exclusion clause.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`EXCLUDE_CURRENT_ROW` EXCLUDE CURRENT ROW exclusion clause.
`EXCLUDE_GROUP` EXCLUDE GROUP exclusion clause.
`EXCLUDE_NO_OTHERS` EXCLUDE NO OTHERS exclusion clause.
`EXCLUDE_TIES` EXCLUDE TIES exclusion clause.

### Method Summary

Methods
`java.lang.String` `getSQL()` Returns SQL representation.
`boolean` `isGroupOrNoOthers()` Returns true if this exclusion clause excludes or includes the whole group.
`static WindowFrameExclusion` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static WindowFrameExclusion[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### EXCLUDE_CURRENT_ROW

    public static final WindowFrameExclusion EXCLUDE_CURRENT_ROW

EXCLUDE CURRENT ROW exclusion clause.

#### EXCLUDE_GROUP

    public static final WindowFrameExclusion EXCLUDE_GROUP

EXCLUDE GROUP exclusion clause.

#### EXCLUDE_TIES

    public static final WindowFrameExclusion EXCLUDE_TIES

EXCLUDE TIES exclusion clause.

#### EXCLUDE_NO_OTHERS

    public static final WindowFrameExclusion EXCLUDE_NO_OTHERS

EXCLUDE NO OTHERS exclusion clause.

### Method Detail

#### values

    public static WindowFrameExclusion[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (WindowFrameExclusion c : WindowFrameExclusion.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static WindowFrameExclusion valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### isGroupOrNoOthers

    public boolean isGroupOrNoOthers()

Returns true if this exclusion clause excludes or includes the whole group.

Returns:
  true if this exclusion clause is `EXCLUDE_GROUP` or `EXCLUDE_NO_OTHERS`

#### getSQL

    public java.lang.String getSQL()

Returns SQL representation.

Returns:
  SQL representation.
See Also:
  `Expression.getSQL(boolean)`